Bug 1176373 - dyndns_iface does not accept multiple interfaces, or isn't documented to be able to
Summary: dyndns_iface does not accept multiple interfaces, or isn't documented to be a...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: sssd
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Hrozek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-21 04:56 UTC by William Brown
Modified: 2020-05-02 17:55 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-14 14:44:41 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github SSSD sssd issues 3590 0 None None None 2020-05-02 17:55:05 UTC
Github SSSD sssd issues 3591 0 None None None 2020-05-02 17:55:10 UTC

Description William Brown 2014-12-21 04:56:32 UTC
Description of problem:

I would like to clearly see SSSD support multiple interfaces for dyndns updates, listed in order of preference. This should be documented clearly in the man page about the behaviour as well.

IE:

dyndns_iface = enp2s0f0, wlp3s0

Will send updates for enp2s0f0 if interface is up, or it will send for wlp3s0, or it will send no updates.

Comment 1 Jakub Hrozek 2015-01-07 15:53:59 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/2548

Comment 2 Jakub Hrozek 2015-01-07 15:54:22 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/2549

Comment 3 Jakub Hrozek 2015-01-07 16:22:34 UTC
Thank you, I cloned the bugzilla upstream into a ticket that would document that currently only one interface is supported and another one that tracks a RFE to support multiple interfaces.

In your case, I assume both interfaces are connected to the same network (otherwise I'd suspect they wouldn't be in the same DNS zone).

Comment 4 Jakub Hrozek 2015-01-15 10:22:13 UTC
Documentation was fixed upstream:
* master: 702176303382b5a385e90fe68ad2c32bd708ebf1
* sssd-1-12: 6e9c11ed1513ebd130085651da6703abd12e1624

Comment 5 William Brown 2015-01-17 05:31:33 UTC
In my case, they are connected to the same network, yes, but they end up on different VLAN's in the same network. Wired is preffered over wireless in my example.

Thank you for documenting this, and I look forwards to seeing the improvement.

Comment 6 Fedora Update System 2015-01-19 13:34:40 UTC
sssd-1.12.3-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/sssd-1.12.3-3.fc21

Comment 7 Lukas Slebodnik 2015-01-19 13:53:33 UTC
(In reply to Fedora Update System from comment #6)
> sssd-1.12.3-3.fc21 has been submitted as an update for Fedora 21.
> https://admin.fedoraproject.org/updates/sssd-1.12.3-3.fc21

William,
the package sssd-1.12.3-3 contains just updated man page.
If you want to track progress with RFE "Support multiple interfaces with the dyndns_iface option" then I would recommend you to add your email to CC of upstream ticket https://fedorahosted.org/sssd/ticket/2549

Comment 8 Fedora Update System 2015-01-20 21:00:55 UTC
Package sssd-1.12.3-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sssd-1.12.3-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0900/sssd-1.12.3-3.fc21
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2015-01-22 10:41:06 UTC
sssd-1.12.3-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/sssd-1.12.3-4.fc21

Comment 10 Fedora Update System 2015-02-02 17:20:59 UTC
sssd-1.12.3-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.